---
title: "Retrieve Webhook"
source_url: https://docs.rapyd.net/en/retrieve-webhook.html
lang: en
---

# Retrieve Webhook

Retrieve a webhook.

Use [List Webhooks](https://docs.rapyd.net/en/list-webhooks.md "List Webhooks") to find the IDs of webhooks.

### Parameters

### Request Path Parameters

- - webhook
  - ID of the webhook. String starting with **wh_**.

### Request Header Parameters

- - access_key
  - Unique access key provided by Rapyd for each authorized user.

    See [Developers](https://docs.rapyd.net/en/developers.md "Developers").
- - Content-Type
  - Indicates that the data appears in JSON format. Set to **application/json**.
- - salt
  - Random string. Recommended length: 8-16 characters.
- - signature
  - Signature calculated for each request individually.

    See [Request Signatures](https://docs.rapyd.net/en/request-signatures.md "Request Signatures").
- - timestamp
  - Timestamp for the request, in [Unix time](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_unix_time "Unix time") (seconds).

### Response Parameters

- - attempts
  - List of attempts at sending the webhook. Array of objects that contain the following fields:

    - - error
      - Error message received from the configured webhook destination.
    - - http_status_code
      - HTTP status code returned by the configured webhook destination.
    - - http_response_body
      - Body of the HTTP response from the configured webhook destination.
    - - http_response_headers
      - Headers of the HTTP response from the configured webhook destination, with the value received.

        - - connection
          - Control options for the connection.
        - - content-length
          - Length of the content in bytes.
        - - content-type
          - MIME type of the content.
        - - date
          - Timestamp of the response in HTTP-date format (RFC 9110).
        - - server
          - Name of the server.
- - created_at
  - Timestamp for the creation of the webhook. [Unix time](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_unix_time "Unix time").
- - data
  - The `data` section of the webhook itself.
- - last_attempt_at
  - Timestamp of the last attempt at sending the webhook. [Unix time](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_unix_time "Unix time").
- - next_attempt_at
  - Timestamp of the next attempt at sending the webhook. [Unix time](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_unix_time "Unix time").
- - status
  - Status of the webhook. One of the following values:

    - **NEW** (new) - The webhook was created and has not yet been sent successfully.
    - **CLO** (closed) - The webhook was sent successfully.
    - **ERR** (error) - Attempts were made to send the webhook, but the maximum number of retries was reached. The automatic retry process failed. The webhook was not sent.
    - **RET** (retried) - The webhook was resent.

    > **Note:**
    >
    > Inside the `data` object, some webhooks have another `status` field that refers to a different event.
- - token
  - ID of the webhook. String starting with **wh_**.
- - type
  - Internal name of the webhook type.

- /v1/webhooks/:webhook

- Retrieve Webhook
- ```curl
  curl -X get 'https://sandboxapi.rapyd.net/v1/webhooks/wh_641d85ccab0dc07cb0cd3597aa25df05' \
  -H 'access_key: your-access-key-here' \
  -H 'Content-Type: application/json' \
  -H 'idempotency: your-idempotency-parameter-here' \
  -H 'salt: your-random-string-here' \
  -H 'signature: your-calculated-signature-here' \
  -H 'timestamp: your-unix-timestamp-here'
  ```
- ```json
  {
      "status": {
          "error_code": "",
          "status": "SUCCESS",
          "message": "",
          "response_code": "",
          "operation_id": "52b5fd1c-cbfc-4a1e-afcb-b1dc0741b194"
      },
      "data": {
          "token": "wh_641d85ccab0dc07cb0cd3597aa25df05",
          "type": "CARD_ADDED_SUCCESSFULLY",
          "data": {
              "id": null,
              "type": "gb_amex_card",
              "category": "card",
              "metadata": {},
              "image": "",
              "webhook_url": "",
              "supporting_documentation": "",
              "next_action": "3d_verification",
              "full_name": {
                  "first_name": "John",
                  "middle_name": "Johnson",
                  "last_name": "Doe"
              },
              "account_name_inquiry": {
                  "account_name_inquiry_result": "not_performed",
                  "account_name_inquiry_details": {
                      "last_name": null,
                      "first_name": null,
                      "middle_name": null
                  }
              },
              "name": "John Doe",
              "last4": "1111",
              "acs_check": "unchecked",
              "cvv_check": "unchecked",
              "bin_details": {
                  "type": "DEBIT",
                  "brand": "VISA",
                  "level": "CLASSIC",
                  "issuer": "CONOTOXIA SP. Z O.O",
                  "country": "PL",
                  "bin_number": "411111"
              },
              "expiration_year": "30",
              "expiration_month": "12",
              "fingerprint_token": "ocfp_e599f990674473ce6283b245e9ad2467",
              "network_reference_id": 941438,
              "payment_account_reference": "V0012EE8QZTYHJVNHT4L2FOZXDHJS"
          },
          "attempts": [],
          "status": "ERR",
          "last_attempt_at": 1763019227,
          "created_at": 1763019075,
          "next_attempt_at": 1763019226
      }
  }
  ```
